library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity oe_reg is
    Port ( SYSCLK : in std_logic;
           RESET : in std_logic;
           WR_BACKPLANE16 : in std_logic;
		   DATA_BACKPLANE : in std_logic;	
           CS_OE : in std_logic;
		   OE: out std_logic
		  );
end oe_reg;

architecture Behavioral of oe_reg is
   
	 signal oe_reg:std_logic;
begin
	 oe <= oe_reg;
	Signal_Register: process(SYSCLK)
		
	begin
        if (rising_edge(SYSCLK)) then
            if ( RESET = '1' ) then
                OE_REG <= '0';
            elsif (WR_BACKPLANE16 = '1' and CS_OE = '1') then
		        OE_REG <= DATA_BACKPLANE;
			end if;
				
		end if;
			
	end process;
			
end Behavioral;
